SDL_GetRealGamepadInstanceType(3)

NAME
SDL_GetRealGamepadInstanceType - Get the type of a gamepad, ignoring any mapping override.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GamepadType SDL_GetRealGamepadInstanceType(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any gamepads are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID

RETURN VALUE
Returns the gamepad type.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetGamepadInstanceType(3), SDL_GetGamepads(3), SDL_GetRealGamepadType(3)